#!/bin/sh

rm -f *err *lst *.p *.d80 *.inc
bin2tap -a 16384 -o helpscreen.tap include/helpscreen.scr
mv helpscreen.tap mdos3.tap
cat include/mover.tap include/maker.tap >>mdos3.tap
maketap zxcdp 18432
asl runner.a80 -a -L -E runner.err
p2bin runner.p -r \$-\$ -l 0
asl nmi.a80 -a -L -E nmi.err
p2bin nmi.p -r 8192-16383
asl mdos1.a80 -L -E mdos1.err
p2bin mdos1.p -r 0-16383
asl mdos2.a80 -L -E mdos2.err
p2bin mdos2.p -r 0-16383
rm -f *.p
cat nmi.err mdos1.err mdos2.err zxcdp.err runner.err > mdos3.err
rm -f nmi.err mdos1.err mdos2.err zxcdp.err runner.err
if [ -s mdos3.err ] 
then
 if [ -n "$DISPLAY" ]; then kdialog --msgbox 'Chybn kompilace' 0 0; else dialog --msgbox 'Chybna kompilace' 0 0; fi
 if [ -n "$DISPLAY" ]; then kdialog --textbox mdos3.err 0 0; else dialog --textbox mdos3.err 0 0; fi
else
 rm -f mdos3.err
 split mdos1.bin mdos1_ -b 8k
 #vystup mdos1_aa a mdos1_ab soubory a budou vzdy 2
 mv mdos1_aa mdos1_3.bin
 mv mdos1_ab mdos1_0.bin
 cp nmi.bin mdos1_1.bin
 cp runner.bin mdos1_2.bin
 bin2tap mdos1_3.bin -a 0
 bin2tap mdos1_0.bin -a 8192
 bin2tap mdos1_1.bin -a 8192
 bin2tap mdos1_2.bin -a 8192
 
 split mdos2.bin mdos2_ -b 8k
 #vystup mdos2_aa a mdos2_ab soubory a budou vzdy 2
 mv mdos2_aa mdos2_3.bin
 mv mdos2_ab mdos2_0.bin
 cp nmi.bin mdos2_1.bin
 cp runner.bin mdos2_2.bin
 bin2tap mdos2_3.bin -a 0
 bin2tap mdos2_0.bin -a 8192
 bin2tap mdos2_1.bin -a 8192
 bin2tap mdos2_2.bin -a 8192
 
 cat mdos1_3.tap mdos1_0.tap mdos1_1.tap mdos1_2.tap mdos2_3.tap mdos2_0.tap mdos2_1.tap mdos2_2.tap >> mdos3.tap
 rm -f mdos1_?.tap mdos2_?.tap
 tap2d80 mdos3.tap mdos3.d80
 
 #tvorba images
 cp include/bootvzor.d80 bootvzor.d80 
 tap2d80 zxcdp.tap bootvzor.d80
 tap2d80 mdos3.tap bootvzor.d80
 bin2tap include/FATware.bin -a 8192 -o FATware.tap
 tap2d80 FATware.tap bootvzor.d80
 cat include/infosecboot.raw > images/bootdisk
 cat bootvzor.d80 >> images/bootdisk ; rm bootvzor.d80
 cat images/free.bin >> images/bootdisk
 rm -f images/my_CF_16M/0bootdisk
 cp images/bootdisk images/my_CF_16M/0bootdisk
 rm -f bootvzor.d80 FATware.tap
 
fi
